summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLin2015-06-16 21:28:39 +0800
committerLin2015-06-16 21:28:39 +0800
commit9338e26b2f4c3837c3f02ca7041747000070fe8b (patch)
tree70e273b5aa79ade4de24fdc0e2889ff181530b0f
downloadaur-9338e26b2f4c3837c3f02ca7041747000070fe8b.tar.gz
Initial import
-rw-r--r--.SRCINFO24
-rw-r--r--PKGBUILD36
-rw-r--r--cython.patch11
3 files changed, 71 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..cd5ee9af28d
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,24 @@
+pkgbase = python2-pygame-sdl2-git
+ pkgdesc = A new, SDL2-based implementation of the Pygame API (dev channel)
+ pkgver = 219.4babc4e
+ pkgrel = 1
+ url = https://github.com/renpy/pygame_sdl2
+ arch = i686
+ arch = x86_64
+ license = LGPL2.1
+ license = zlib
+ makedepends = git
+ depends = sdl2
+ depends = sdl2_gfx
+ depends = sdl2_image
+ depends = sdl2_mixer
+ depends = sdl2_ttf
+ provides = python2-pygame-sdl2
+ conflicts = python2-pygame-sdl2
+ source = git://github.com/renpy/pygame_sdl2.git
+ source = cython.patch
+ md5sums = SKIP
+ md5sums = 5d3aee6b640b5e58bf98442eb443eef3
+
+pkgname = python2-pygame-sdl2-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d83a6a58101
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,36 @@
+# Maintainer: Cravix < dr dot neemous at gmail dot com >
+
+pkgname=python2-pygame-sdl2-git
+_pkgname=pygame_sdl2
+pkgver=219.4babc4e
+pkgrel=1
+pkgdesc="A new, SDL2-based implementation of the Pygame API (dev channel)"
+arch=('i686' 'x86_64')
+url="https://github.com/renpy/$_pkgname"
+license=('LGPL2.1' 'zlib')
+depends=('sdl2' 'sdl2_gfx' 'sdl2_image' 'sdl2_mixer' 'sdl2_ttf')
+makedepends=('git')
+provides=('python2-pygame-sdl2')
+conflicts=('python2-pygame-sdl2')
+source=("git://github.com/renpy/$_pkgname.git"
+ 'cython.patch')
+md5sums=('SKIP'
+ '5d3aee6b640b5e58bf98442eb443eef3')
+
+pkgver() {
+ cd "$srcdir/$_pkgname"
+
+ echo $(git rev-list --count HEAD).$(git rev-parse --short HEAD)
+}
+
+build() {
+ cd "$srcdir/$_pkgname"
+
+ patch -Np0 -i ../cython.patch
+ python2 setup.py build
+}
+
+package() {
+ cd "$srcdir/$_pkgname"
+ python2 setup.py install --root="$pkgdir" || return 1
+}
diff --git a/cython.patch b/cython.patch
new file mode 100644
index 00000000000..e8cae024579
--- /dev/null
+++ b/cython.patch
@@ -0,0 +1,11 @@
+--- setuplib.py 2015-04-05 18:19:36.869928443 +0800
++++ setuplib.py.cur 2015-04-05 18:20:58.253259520 +0800
+@@ -26,7 +26,7 @@
+ import distutils.core
+
+ # The cython command.
+-cython_command = "cython"
++cython_command = "cython2"
+
+ # The include and library dirs that we compile against.
+ include_dirs = [ ".", "src" ]